Bug 54423 - Anaconda crashes during reading packages. Using custom package orders and kickstart
Anaconda crashes during reading packages. Using custom package orders and kic...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-07 04:37 EDT by Ewout Prangsma
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-14 22:34:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Directory listing of my cd's (84.78 KB, text/plain)
2001-10-07 04:38 EDT, Ewout Prangsma
no flags Details

  None (edit)
Description Ewout Prangsma 2001-10-07 04:37:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010913

Description of problem:
I've re-ordered the packages over the 2 cd's and executed genhdlist with
the --withnumbers argument.
After that I created the first cd with the following command:
mkisofs -V daisy1 -b images/boot.img -c boot.cat -J -r -T -o
$dir/daisy1.iso $dir/cd1

All works well, until anaconda starts reading packages, then the following
error occurs. See actual results.

In addition, I'm using the kickstart feature from floppy. I've put the
ks.cfg in additional info.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Just run the installation with "linux ks=floppy"
2.
3.
	

Actual Results:  Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in __call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1698, in
doInstall
    self.getCompsList()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 769, in
getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/image.py", line 17, in
readComps
    return ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/comps.py", line 542, in
__init__
    self.readCompsFile(file, self.packages)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/comps.py", line 486, in
readCompsFile
    self.expressions[packages[l]] = None
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/comps.py", line 116, in
__getitem__
    return self.packages[item]
KeyError: glibc-common

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 825fb68>
item: glibc-common

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
NsS'setupFilesystems'
p5
I1
sS'monitorVsync'
p6
S''
sS'videoCardStateNode'
p7
S''
sS'serial'
p8
I0
sS'ddruidReadOnly'
p9
I0
sS'bootdisk'
p10
I0
sS'videoRamState'
p11
S''
sS'monitorOriginalName'
p12
S''
sS'language'
p13
(itodo
Language
(dp14
S'langInfoByName'

Additional info:

# $Id: ks.cfg,v 1.1.1.1 2001/10/05 11:22:53 epr Exp $
#
# Generated by Kickstart Configurator
# Modified by epr
#

lang en_US
keyboard us
mouse generic3ps/2
timezone --utc Europe/Amsterdam
rootpw daisy
skipx
cdrom
network --bootproto dhcp
install
auth --useshadow --enablemd5
reboot

firewall --medium 
zerombr yes
clearpart --all

part swap --size 64 --ondisk hda
part swap --size 64 --ondisk hdc
part raid.01 --size 16 --ondisk hda
part raid.02 --size 16 --ondisk hdc
part raid.11 --size 1000 --ondisk hda
part raid.12 --size 1000 --ondisk hdc
part raid.21 --size 1 --grow --ondisk hda
part raid.22 --size 1 --grow --ondisk hdc

raid /boot --level 1 --device md0 raid.01 raid.02
raid / --level 1 --device md1 raid.11 raid.12
raid /data --level 1 --device md2 raid.21 raid.22

lilo --location mbr

%packages 
@Network Management Workstation
@Networked Workstation
@Utilities
@Web Server

%pre
echo Hello Dit is PRE
/bin/ls
pause
Comment 1 Ewout Prangsma 2001-10-07 04:38:19 EDT
Created attachment 33542 [details]
Directory listing of my cd's
Comment 2 Brent Fox 2001-10-23 00:16:04 EDT
I think the error comes from the way the packages were reordered.  glibc-common
should definitely be found by the installer.  It works with the 7.1 as shipped.

Note You need to log in before you can comment on or make changes to this bug.